Subject: bug#15014: 24.3.50; In text-mode, incorrect forward-sexp causes delete-pair malfunction

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Sep 2021 12:04:56 +0200

Barry OReilly <[email-masked]> writes:

> In a file with text-mode, try forward-sexp across a double quoted
> string: "foo". Unlike in programming modes, point goes before the
> closing double quote instead of after.
>
> A consequence of this is that delete-pair on
>
>   "foo"
>
> results in
>
>   fo"
>
> instead of
>
>   foo
>
> as expected.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

When I try this in Emacs 28, I get:

delete-pair: Not before matching pair

Which is the expected behaviour, since " isn't paired in text modes.  So
it seems like this has been fixed in the eight years since you reported
it (although not in the way you requested -- but we're not going to make
" a paired delimited in text modes by default, because that'd be pretty
confusing, I think), so I'm closing this bug report.  If there's more to
be worked on here, please respond to the debbugs address and we'll
reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no